public class PauseState implements ChronometreState {

    private Chronometre chronometre;

    public PauseState(Chronometre chronometre) {
        this.chronometre = chronometre;
    }

    @Override
    public void demarrer() {
        chronometre.setState(new DemarreState(chronometre));
    }

    @Override
    public void pause() {
        // Ne fait rien
    }

    @Override
    public void arreter() {
        chronometre.setState(new ArreteState(chronometre));
    }

    @Override
    public void reset() {
        chronometre.setTempsEcoule(0);
    }
}